<?xml version="1.0" encoding="utf-8" standalone="no"?>
<xs:schema elementFormDefault="qualified" attributeFormDefault="unqualified" xmlns:D2LogicalModel="http://datex2.eu/schema/2/2_0" version="2.3" targetNamespace="http://datex2.eu/schema/2/2_0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:complexType name="_ExtensionType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="_PredefinedLocationVersionedReference">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:VersionedReference">
        <xs:attribute name="targetClass" use="required" fixed="PredefinedLocation" />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="AreaOfInterestEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="continentWide" />
      <xs:enumeration value="national" />
      <xs:enumeration value="neighbouringCountries" />
      <xs:enumeration value="notSpecified" />
      <xs:enumeration value="regional" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="BasicData" abstract="true">
    <xs:sequence>
      <xs:element name="pertinentLocation" type="D2LogicalModel:GroupOfLocations" minOccurs="0" />
      <xs:element name="basicDataExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="Boolean">
    <xs:restriction base="xs:boolean" />
  </xs:simpleType>
  <xs:simpleType name="ComputationMethodEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="arithmeticAverageOfSamplesBasedOnAFixedNumberOfSamples" />
      <xs:enumeration value="arithmeticAverageOfSamplesInATimePeriod" />
      <xs:enumeration value="harmonicAverageOfSamplesInATimePeriod" />
      <xs:enumeration value="medianOfSamplesInATimePeriod" />
      <xs:enumeration value="movingAverageOfSamples" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ConfidentialityValueEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="internalUse" />
      <xs:enumeration value="noRestriction" />
      <xs:enumeration value="restrictedToAuthorities" />
      <xs:enumeration value="restrictedToAuthoritiesAndTrafficOperators" />
      <xs:enumeration value="restrictedToAuthoritiesTrafficOperatorsAndPublishers" />
      <xs:enumeration value="restrictedToAuthoritiesTrafficOperatorsAndVms" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="CountryEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="at" />
      <xs:enumeration value="be" />
      <xs:enumeration value="bg" />
      <xs:enumeration value="ch" />
      <xs:enumeration value="cs" />
      <xs:enumeration value="cy" />
      <xs:enumeration value="cz" />
      <xs:enumeration value="de" />
      <xs:enumeration value="dk" />
      <xs:enumeration value="ee" />
      <xs:enumeration value="es" />
      <xs:enumeration value="fi" />
      <xs:enumeration value="fo" />
      <xs:enumeration value="fr" />
      <xs:enumeration value="gb" />
      <xs:enumeration value="gg" />
      <xs:enumeration value="gi" />
      <xs:enumeration value="gr" />
      <xs:enumeration value="hr" />
      <xs:enumeration value="hu" />
      <xs:enumeration value="ie" />
      <xs:enumeration value="im" />
      <xs:enumeration value="is" />
      <xs:enumeration value="it" />
      <xs:enumeration value="je" />
      <xs:enumeration value="li" />
      <xs:enumeration value="lt" />
      <xs:enumeration value="lu" />
      <xs:enumeration value="lv" />
      <xs:enumeration value="ma" />
      <xs:enumeration value="mc" />
      <xs:enumeration value="mk" />
      <xs:enumeration value="mt" />
      <xs:enumeration value="nl" />
      <xs:enumeration value="no" />
      <xs:enumeration value="pl" />
      <xs:enumeration value="pt" />
      <xs:enumeration value="ro" />
      <xs:enumeration value="se" />
      <xs:enumeration value="si" />
      <xs:enumeration value="sk" />
      <xs:enumeration value="sm" />
      <xs:enumeration value="tr" />
      <xs:enumeration value="va" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:element name="d2LogicalModel" type="D2LogicalModel:D2LogicalModel" />
  <xs:complexType name="D2LogicalModel">
    <xs:sequence>
      <xs:element name="exchange" type="D2LogicalModel:Exchange" />
      <xs:element name="payloadPublication" type="D2LogicalModel:PayloadPublication" minOccurs="0" />
      <xs:element name="d2LogicalModelExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="modelBaseVersion" use="required" fixed="2" />
  </xs:complexType>
  <xs:complexType name="DataValue" abstract="true">
    <xs:sequence>
      <xs:element name="dataError" type="D2LogicalModel:Boolean" minOccurs="0" maxOccurs="1" />
      <xs:element name="reasonForDataError" type="D2LogicalModel:MultilingualString" minOccurs="0" maxOccurs="1" />
      <xs:element name="dataValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="accuracy" type="D2LogicalModel:Percentage" use="optional" />
    <xs:attribute name="computationalMethod" type="D2LogicalModel:ComputationMethodEnum" use="optional" />
    <xs:attribute name="numberOfIncompleteInputs" type="D2LogicalModel:NonNegativeInteger" use="optional" />
    <xs:attribute name="numberOfInputValuesUsed" type="D2LogicalModel:NonNegativeInteger" use="optional" />
    <xs:attribute name="smoothingFactor" type="D2LogicalModel:Float" use="optional" />
    <xs:attribute name="standardDeviation" type="D2LogicalModel:Float" use="optional" />
    <xs:attribute name="supplierCalculatedDataQuality" type="D2LogicalModel:Percentage" use="optional" />
  </xs:complexType>
  <xs:simpleType name="DateTime">
    <xs:restriction base="xs:dateTime" />
  </xs:simpleType>
  <xs:complexType name="ElaboratedData">
    <xs:sequence>
      <xs:element name="source" type="D2LogicalModel:Source" minOccurs="0" />
      <xs:element name="basicData" type="D2LogicalModel:BasicData" minOccurs="0" />
      <xs:element name="elaboratedDataExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="ElaboratedDataPublication">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:PayloadPublication">
        <xs:sequence>
          <xs:element name="periodDefault" type="D2LogicalModel:Seconds" minOccurs="0" maxOccurs="1" />
          <xs:element name="timeDefault" type="D2LogicalModel:DateTime" minOccurs="0" maxOccurs="1" />
          <xs:element name="headerInformation" type="D2LogicalModel:HeaderInformation" />
          <xs:element name="elaboratedData" type="D2LogicalModel:ElaboratedData" maxOccurs="unbounded" />
          <xs:element name="elaboratedDataPublicationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="Exchange">
    <xs:sequence>
      <xs:element name="supplierIdentification" type="D2LogicalModel:InternationalIdentifier" />
      <xs:element name="exchangeExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="Float">
    <xs:restriction base="xs:float" />
  </xs:simpleType>
  <xs:complexType name="GroupOfLocations" abstract="true">
    <xs:sequence>
      <xs:element name="groupOfLocationsExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="HeaderInformation">
    <xs:sequence>
      <xs:element name="areaOfInterest" type="D2LogicalModel:AreaOfInterestEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="confidentiality" type="D2LogicalModel:ConfidentialityValueEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="informationStatus" type="D2LogicalModel:InformationStatusEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="urgency" type="D2LogicalModel:UrgencyEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="headerInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="InformationStatusEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="real" />
      <xs:enumeration value="securityExercise" />
      <xs:enumeration value="technicalExercise" />
      <xs:enumeration value="test" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="InternationalIdentifier">
    <xs:sequence>
      <xs:element name="country" type="D2LogicalModel:CountryEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="nationalIdentifier" type="D2LogicalModel:String" minOccurs="1" maxOccurs="1" />
      <xs:element name="internationalIdentifierExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="Language">
    <xs:restriction base="xs:language" />
  </xs:simpleType>
  <xs:complexType name="Location" abstract="true">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:GroupOfLocations">
        <xs:sequence>
          <xs:element name="locationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="LocationByReference">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Location">
        <xs:sequence>
          <xs:element name="predefinedLocationReference" type="D2LogicalModel:_PredefinedLocationVersionedReference" minOccurs="1" maxOccurs="1" />
          <xs:element name="locationByReferenceExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="MultilingualString">
    <xs:sequence>
      <xs:element name="values">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="value" type="D2LogicalModel:MultilingualStringValue" maxOccurs="unbounded" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="MultilingualStringValue">
    <xs:simpleContent>
      <xs:extension base="D2LogicalModel:MultilingualStringValueType">
        <xs:attribute name="lang" type="xs:language" />
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>
  <xs:simpleType name="MultilingualStringValueType">
    <xs:restriction base="xs:string">
      <xs:maxLength value="1024" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="NonNegativeInteger">
    <xs:restriction base="xs:nonNegativeInteger" />
  </xs:simpleType>
  <xs:complexType name="PayloadPublication" abstract="true">
    <xs:sequence>
      <xs:element name="feedType" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="publicationTime" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
      <xs:element name="publicationCreator" type="D2LogicalModel:InternationalIdentifier" />
      <xs:element name="payloadPublicationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="lang" type="D2LogicalModel:Language" use="required" />
  </xs:complexType>
  <xs:simpleType name="Percentage">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:simpleType name="Seconds">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="Source">
    <xs:sequence>
      <xs:element name="sourceIdentification" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="sourceExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="String">
    <xs:restriction base="xs:string">
      <xs:maxLength value="1024" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="TrafficStatus">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:BasicData">
        <xs:sequence>
          <xs:element name="trafficStatus" type="D2LogicalModel:TrafficStatusValue" minOccurs="0" />
          <xs:element name="trafficStatusExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="TrafficStatusEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="impossible" />
      <xs:enumeration value="congested" />
      <xs:enumeration value="heavy" />
      <xs:enumeration value="freeFlow" />
      <xs:enumeration value="unknown" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="TrafficStatusValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="trafficStatusValue" type="D2LogicalModel:TrafficStatusEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="trafficStatusValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="UrgencyEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="extremelyUrgent" />
      <xs:enumeration value="urgent" />
      <xs:enumeration value="normalUrgency" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="VersionedReference">
    <xs:attribute name="id" type="xs:string" use="required" />
    <xs:attribute name="version" type="xs:string" use="required" />
  </xs:complexType>
</xs:schema>